Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.IEquatable<Mono.Unix.Native.Dirent> Information about a directory entry. Not all of the members in this class are part of an actual standard; in particular, the only member that is consistently portable and will have a reliable value is .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Creates a Dirent instance.
  Creating a Dirent has no effect on the filesystem. To create a filesystem entry use .
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt64 Inode. To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Filename. To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added. To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt16 Length of this record. To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte File type. This member is not part of POSIX; thus its value is not portable.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.